<?php
/*
 * ------------------------------------------------------------------------
 * JA Filter Plugin - Content
 * ------------------------------------------------------------------------
 * Copyright (C) 2004-2016 J.O.O.M Solutions Co., Ltd. All Rights Reserved.
 * @license - GNU/GPL, http://www.gnu.org/licenses/gpl.html
 * Author: J.O.O.M Solutions Co., Ltd
 * Websites: http://www.joomlart.com - http://www.joomlancers.com
 * This file may not be redistributed in whole or significant part.
 * ------------------------------------------------------------------------
 */
// No direct access to this file
defined('_JEXEC') or die('Restricted access');

class JFormFieldFilterfields extends JFormFieldJaMegafilter_filterfields {

	protected $type = 'filterfields';

	function getFieldGroups()
	{
		$class_methods = get_class_methods($this);
		$fl_array	  = preg_grep('/getJaMegafilterField(.*?)/', $class_methods);
		
		$fieldgroups = array();
		foreach ($fl_array as $value) {
			$array_key			   = strtolower(substr($value, 20));
			$fieldgroups[$array_key] = $this->{$value}();
		}
		return $fieldgroups;
	}
	
	function getJaMegafilterFieldBaseField()
	{
		$basefield = array(
			array(
				"published" => 0,
				"sort" => 0,
				"field" => "name",
				"title" => JText::_("COM_JAMEGAFILTER_TITLE"),
				"name" => JText::_("COM_JAMEGAFILTER_TITLE"),
				"filter_type" => array(
					"value"
				)
			),
			
			array(
				"published" => 0,
				"sort" => 0,
				"field" => "attr.cat.value",
				"title" => JText::_("COM_JAMEGAFILTER_CATEGORY"),
				"name" => JText::_("COM_JAMEGAFILTER_CATEGORY"),
				"filter_type" => array(
					"single",
					"dropdown",
					"multiple"
				)
			),
			
			array(
				"published" => 0,
				"sort" => 0,
				"field" => "hits",
				"title" => JText::_("COM_JAMEGAFILTER_HITS"),
				"name" => JText::_("COM_JAMEGAFILTER_HITS"),
				"filter_type" => array(
					"range"
				)
			),
			
			array(
				"published" => 0,
				"sort" => 0,
				"field" => "rating",
				"title" => JText::_("COM_JAMEGAFILTER_RATING"),
				"name" => JText::_("COM_JAMEGAFILTER_RATING"),
				"filter_type" => array(
					"range"
				)
			),
			
			array(
				"published" => 0,
				"sort" => 0,
				"field" => "attr.tag.value",
				"title" => JText::_("COM_JAMEGAFILTER_TAG"),
				"name" => JText::_("COM_JAMEGAFILTER_TAG"),
				"filter_type" => array(
					"single",
					"dropdown",
					"multiple"
				)
			),
			
			array(
				"published" => 0,
				"sort" => 0,
				"field" => "published_date",
				"title" => JText::_("COM_JAMEGAFILTER_PUBLISHED_DATE"),
				"name" => JText::_("COM_JAMEGAFILTER_PUBLISHED_DATE"),
				"filter_type" => array(
					"date"
				)
			),
		);
		
		return $basefield;
	}
	
	function getJaMegafilterFieldCustomFields() {
		if (version_compare(JVERSION, '3.7', '<'))
			return;
		$customFields = array();
		require_once(JPATH_PLUGINS . '/jamegafilter/content/helper.php');
		$helper = new ContentFilterHelper();
		$fields = $helper->getCustomFields();
		if ($fields) {
			foreach ($fields as $field) {
				//if ($field->type == 'integer')
					//continue;
				$customField = array(
					"published" => 0,
					"sort" => 0,	
					"field" => 'attr.ct'.$field->id.'.value',
					"title" => $field->title,
					"name" => $field->title,
				);
				
				switch ($field->type) {
					case 'text':
					case 'editor' :
					case 'textarea' :
					case 'url' :
						$customField['filter_type'] = array('value');
						break;
					case 'color' :
						$customField['filter_type'] = array('color');
						break;
					case 'calendar' :
						$customField['filter_type'] = array('date');
						break;
					case 'integer' :
						$customField['filter_type'] = array('range');
						break;
					default : 
						$customField['filter_type'] = array(
							"single",
							"dropdown",
							"multiple"
						);
						break;
				}
				$customFields[] = $customField;
			}
		}
		
		return $customFields;
	}
}
