<?php
/**
 * @package J2Store
 * @copyright Copyright (c)2014-17 Ramesh Elamathi / J2Store.org
 * @license GNU GPL v3 or later
 */
// No direct access to this file
defined ( '_JEXEC' ) or die ();
$order = $this->order;
$items = $this->order->getItems();
$this->taxes = $order->getOrderTaxrates();
$this->shipping = $order->getOrderShippingRate();
$currency = J2Store::currency();

?>
	<h3><?php echo JText::_('J2STORE_ORDER_SUMMARY')?></h3>
   <section class="row j2store-cart-table hd nowrap">
	<div class="item-hd column12"><?php echo JText::_('J2STORE_CART_LINE_ITEM'); ?></div>
	<div class="quantity-hd column2"><?php echo JText::_('J2STORE_CART_LINE_ITEM_QUANTITY'); ?></div>
	<div class="total-hd column1"><?php echo JText::_('J2STORE_CART_LINE_ITEM_TOTAL'); ?></div>
	</section>

	<?php foreach ($items as $item): ?>
    <?php
        $registry = new JRegistry;
        $registry->loadString($item->orderitem_params);
        $item->params = $registry;
        $thumb_image = $item->params->get('thumb_image', '');
    ?>
<section class="row j2store-cart-table nowrap">
	<div class="item column12">
	<?php if($this->params->get('show_thumb_cart', 1) && !empty($thumb_image) && JFile::exists(JPATH_SITE.JPath::clean('/'.$thumb_image))): ?>
		<span class="cart-thumb-image">
			<img alt="<?php echo $item->orderitem_name; ?>" src="<?php echo JURI::root(true).JPath::clean('/'.$thumb_image); ?>" >
		</span>
	<?php endif; ?>
	<span class="cart-product-name">
		<?php echo $item->orderitem_name; ?>
	</span>
	<br />
    
	<?php if(isset($item->orderitemattributes)): ?>
        <span class="cart-item-options">
        <?php foreach ($item->orderitemattributes as $attribute):
            if($attribute->orderitemattribute_type == 'file') {
                unset($table);
                $table = F0FTable::getInstance('Upload', 'J2StoreTable')->getClone();
                if($table->load(array('mangled_name'=>$attribute->orderitemattribute_value))) {
                    $attribute_value = $table->original_name;
                }
            }else {
                $attribute_value = JText::_($attribute->orderitemattribute_value);
            }
        ?>
            <small>
            - <?php echo JText::_($attribute->orderitemattribute_name); ?> : <?php echo $attribute_value; ?>
            </small>						
            <br />
        <?php endforeach;?>
        </span>
    <?php endif; ?>

	<?php if($this->params->get('show_price_field', 1)): ?>

		<span class="cart-product-unit-price">
			<span class="cart-item-title"><?php echo JText::_('J2STORE_CART_LINE_ITEM_UNIT_PRICE'); ?></span>
			<span class="cart-item-value"> 
			<?php echo $this->currency->format($this->order->get_formatted_lineitem_price($item, $this->params->get('checkout_price_display_options', 1))); ?>								
			</span>
		</span>
	<?php endif; ?>

	<?php if($this->params->get('show_sku', 1)): ?>
	<br />
		<span class="cart-product-sku">
			<span class="cart-item-title"><?php echo JText::_('J2STORE_CART_LINE_ITEM_SKU'); ?></span>
			<span class="cart-item-value"><?php echo $item->orderitem_sku; ?></span>
		</span>
	<?php endif; ?>
    <?php echo J2Store::plugin()->eventWithHtml('AfterDisplayLineItemTitle', array($item, $this->order, $this->params));?>
	</div>
	<div class="quantity column2">
		<span class="quantity-hd-mobile"><?php echo JText::_('J2STORE_CART_LINE_ITEM_QUANTITY'); ?>:</span>
		<?php echo $item->orderitem_quantity; ?>
	</div>
    
	<div class="cart-line-subtotal column1">
		<?php echo $currency->format($this->order->get_formatted_lineitem_total($item, $this->params->get('checkout_price_display_options', 1))); ?>				
	</div>
</section>
<?php endforeach; ?>

<div class="<?php echo $J2gridRow;?>">
    <div class="<?php echo $J2gridCol;?>6">

    </div>
    <div class="<?php echo $J2gridCol;?>6">
        			<table class="cart-footer">
				<?php if($totals = $this->order->get_formatted_order_totals()): ?>
					<?php foreach($totals as $total): ?>
						<tr>
							<th scope="row" colspan="2"> <?php echo $total['label']; ?></th>
							<td><?php echo $total['value']; ?></td>
						</tr>
					<?php endforeach; ?>
				<?php endif; ?>
			</table>
    </div>
</div>

